type Param = {
    dbName: string;
    userId?: string | number;
};

/**
 * # Grab Database Full Name
 */
export default function grabDbFullName({ dbName, userId }: Param): string {
    const sanitizedName = dbName.replace(/[^a-z0-9\_]/g, "");
    const cleanedDbName = sanitizedName.replace(/datasquirel_user_\d+_/, "");

    if (!userId) return cleanedDbName;

    const dbNamePrefix = `datasquirel_user_${userId}_`;

    return dbNamePrefix + cleanedDbName;
}
